Package org.apache.storm.maven.shade.clojure

## Class ClojureTransformer

- java.lang.Object
- - org.apache.storm.maven.shade.clojure.ClojureTransformer

- All Implemented Interfaces:
    `org.apache.maven.plugins.shade.resource.ResourceTransformer`

      public class ClojureTransformer
      extends Object
      implements org.apache.maven.plugins.shade.resource.ResourceTransformer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClojureTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canTransformResource​(String s)` |
    `boolean` | `hasTransformedResource()` |
    `void` | `modifyOutputStream​(JarOutputStream jarOut)` |
    `void` | `processResource​(String s, InputStream inputStream, List<org.apache.maven.plugins.shade.relocation.Relocator> relocators)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClojureTransformer

          public ClojureTransformer()

  - ### Method Detail

    - #### canTransformResource

          public boolean canTransformResource​(String s)

      Specified by:
        `canTransformResource` in interface `org.apache.maven.plugins.shade.resource.ResourceTransformer`

    - #### processResource

          public void processResource​(String s,
                                      InputStream inputStream,
                                      List<org.apache.maven.plugins.shade.relocation.Relocator> relocators)
                               throws IOException

      Specified by:
        `processResource` in interface `org.apache.maven.plugins.shade.resource.ResourceTransformer`
      Throws:
        `IOException`

    - #### hasTransformedResource

          public boolean hasTransformedResource()

      Specified by:
        `hasTransformedResource` in interface `org.apache.maven.plugins.shade.resource.ResourceTransformer`

    - #### modifyOutputStream

          public void modifyOutputStream​(JarOutputStream jarOut)
                                  throws IOException

      Specified by:
        `modifyOutputStream` in interface `org.apache.maven.plugins.shade.resource.ResourceTransformer`
      Throws:
        `IOException`